Name:          reflections
Version:       0.9.12
Release:       %mkrel 3
Group:         Development/Java
Summary:       Java run-time meta-data analysis
License:       WTFPL
URL:           https://github.com/ronmamo/reflections
Source0:       https://github.com/ronmamo/reflections/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.gson:gson)
BuildRequires:  mvn(javax.servlet:javax.servlet-api)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.dom4j:dom4j)
BuildRequires:  mvn(org.javassist:javassist)
BuildRequires:  mvn(org.jsr-305:ri)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
BuildRequires:  java-atk-wrapper

BuildArch:     noarch

%description
A Java run-time meta-data analysis, in the spirit of Scannotations

Reflections scans your class-path, indexes the meta-data, allows you
to query it on run-time and may save and collect that information
for many modules within your project.

Using Reflections you can query your meta-data such as:
* get all sub types of some type
* get all types/methods/fields annotated with some annotation,
  w/o annotation parameters matching
* get all resources matching matching a regular expression

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}
find -name "*.class" -print -delete
find -name "*.jar" -print -delete

# Unwanted
%pom_remove_plugin :maven-enforcer-plugin
%pom_remove_plugin :maven-source-plugin
# Use system maven default conf
%pom_remove_plugin :maven-javadoc-plugin

# Force servlet 3.1 apis
%pom_change_dep :servlet-api :javax.servlet-api:3.1.0

# Cannot find symbol package javax.annotation
%pom_add_dep org.jsr-305:ri

%mvn_file :%{name} %{name}

%build

%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license COPYING.txt

%files javadoc -f .mfiles-javadoc
%license COPYING.txt



%changelog
* Mon May 27 2024 ns80 <ns80> 0.9.12-3.mga10
+ Revision: 2068202
- rebuild for java 21

* Thu Mar 31 2022 umeabot <umeabot> 0.9.12-2.mga9
+ Revision: 1836814
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 0.9.12-1.mga8
+ Revision: 1621822
- Update to latest upstream release, 0.9.12
- Clean up BuildRequires with xmvn-builddep
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 0.9.10-6.mga8
+ Revision: 1499504
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.9.10-5.mga7
+ Revision: 1274874
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 0.9.10-3.mga6
+ Revision: 978134
- First rebuild of the java stack
- sync package reflections with fedora

